From 8be68f7544456eb73ae9784bb513ca38fc7f53ca Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Jul 14 2023 01:50:37 +0000
Subject: [PATCH 19/32] [scripts/version_constraint.sh]: bugfix capture regex


---

diff --git a/scripts/version_constraint.sh b/scripts/version_constraint.sh
index d124d9d..35272b2 100755
--- a/scripts/version_constraint.sh
+++ b/scripts/version_constraint.sh
@@ -23,7 +23,7 @@ _version_constraint() # (dep_pkgname [precision])
   local version pkgrel has_split_char version_min version_max constraint_string
   declare -i subver subver_inc pkgrel_inc
 
-  if   [[ "${full_version}" =~ ^(${capture_rx})(${subver_rx})*-(${pkgrel_rx})[^0-9]*$ ]]
+  if   [[ "${full_version}" =~ ^(${capture_rx})(${subver_rx})*-(${pkgrel_rx}).*$ ]]
   then version=${BASH_REMATCH[1]} # pkgver cut to the requested precision
        #unused=${BASH_REMATCH[2]} # discarded pkgver segments
        pkgrel=${BASH_REMATCH[3]}  # pkgrel with non-numerics right-trimmed

